/**
 *
 */

import cn.hutool.core.date.DateUtil;
import net.wanji.opt.SignalOptimizeApplication;
import net.wanji.opt.dao.mapper.judgeanalysis.AnalysisProblemCrossDayMapper;
import net.wanji.opt.servicev2.judgeanalysis.AnalysisProblemAndStrategyDayService;
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.junit.runners.MethodSorters;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.test.context.junit4.SpringRunner;

import java.util.Date;

/**
 * @author fengyi
 * @date
 */
@RunWith(SpringRunner.class)
@SpringBootTest(classes = SignalOptimizeApplication.class, webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class EventOptimizeTaskTest {

    @Autowired
    private AnalysisProblemAndStrategyDayService analysisProblemAndStrategyDayService;

    @Test
    public void taskGreen() {
        try {
            //analysisProblemAndStrategyDayService.selectCountByTypeOfCross();
            Integer dtStart = 20250423;// Integer.valueOf(DateUtil.beginOfMonth(new Date()).toString("yyyyMMdd"));
            Integer dtEnd   = 20250423;// Integer.valueOf(DateUtil.format(new Date(),"yyyyMMdd"));
            analysisProblemAndStrategyDayService.selectCountByTypeOfGreen(dtStart,dtEnd);
        } catch (Exception e) {
           e.printStackTrace();
        }
    }

    @Test
    public void taskCross() {
        try {
            Integer dtStart = 20250423;// Integer.valueOf(DateUtil.beginOfMonth(new Date()).toString("yyyyMMdd"));
            Integer dtEnd   = 20250423; //Integer.valueOf(DateUtil.format(new Date(),"yyyyMMdd"));
             analysisProblemAndStrategyDayService.selectCountByTypeOfCross(dtStart,dtEnd);

        } catch (Exception e) {
            e.printStackTrace();
        }
    }


}
